#ifndef _Oforester_H_
#define _Oforester_H_

enum
{
	TREE_PARAMETERS = 12008,
	TRUNK_PARAMETERS = 12009,
	BRLV0 = 12010,
	BRLV1 = 12011,
	BRLV2 = 12012,

	WIND = 12014,
	BRANCH_GLOBAL = 11015,

    FR_LEVELS = 10000,
    FR_trSEGS = 10001,
	FR_trSIDES = 10002,
	FR_trRADIUS = 10003,
	FR_brSEGS = 10004,
	FR_brSIDES = 10005,
	FR_trPRUNE = 10006,
	FR_trINSCNT = 10007,
	FR_trTAPER = 10008,
	FR_brINSCNTLV1 = 10009,
	FR_brANGLELV0 = 10010,
	FR_trHEIGHT = 10011,
	FR_brLENGTHLV0 = 10012,
	FR_brTAPERLV0 = 10013,
	FR_brSHORTEN = 10014,
	FR_brPRUNELV0 = 10015,
	FR_brRADIUSLV0 = 10016,
	FR_trTURB = 10017,   
	FR_trTURBSCALE = 10018,
	FR_brTURBLV0 = 10019,
	FR_brTURBSCALELV0 = 10020,
	FR_TURBCOMPLEXITY = 10021,
	FR_TURBSEED = 10022, 
	FR_wdSPEED = 10023,
	FR_wdMULT = 10024,
	FR_wdPHASE = 10025,
	FR_wdVARIANCE = 10026,
	FR_wdON = 10027,
	FR_SWIVELLV0 = 10028,
	FR_brPRUNELV1 = 10029,
	FR_brTAPERLV1 = 10030,
	FR_brANGLELV1 = 10031,
	FR_SWIVELLV1 = 10032,
	FR_brLENGTHLV1 = 10033,
	FR_brRADIUSLV1 = 10034,
	FR_brTURBLV1 = 10035,
	FR_brTURBSCALELV1 = 10036,
	FR_brINSCNTLV0 = 10037,
	
	FR_brPRUNELV2 = 10038,
	FR_brTAPERLV2 = 10039,
	FR_brANGLELV2 = 10040,
	FR_SWIVELLV2 = 10041,
	FR_brLENGTHLV2 = 10042,
	FR_brRADIUSLV2 = 10043,
	FR_brTURBLV2 = 10044,
	FR_brTURBSCALELV2 = 10045,

	FR_brINSCNTLV2 = 10047,
	FR_brRANDLENGLV0 = 10055,
	FR_brRANDLENGLV1 = 10056,
	FR_brRANDLENGLV2 = 10057,
	FR_brPOINTTOTIPLV0 = 10058,
	FR_brPOINTTOTIPLV1 = 10059,
	FR_brPOINTTOTIPLV2 = 10060,
	
	FR_treeGROW = 10061,
	FR_GRAVLV0 = 10062,
	FR_GRAVLV1 = 10063,
	FR_GRAVLV2 = 10064,
	FR_GROWRATIO = 10065,
	FR_RANDGRAVLV0 = 10066,
	FR_RANDANGL0 = 10067,

	FR_RANDGRAVLV1 = 10069,
	FR_RANDANGL1 = 10070,

	FR_RANDGRAVLV2 = 10072,
	FR_RANDANGL2 = 10073,
	FR_RANDLENGLV2 = 10074,	
	
	AAA = 10075,

	FR_SHORTENLV0 = 10076,
	FR_SHORTENLV1 = 10077,
	FR_SHORTENLV2 = 10078,
	FR_SPINLV0 = 10079,
	FR_SPINLV1 = 10080,
	FR_SPINLV2 = 10081,
	FR_SHORTENTIPLV0 = 10082,
	FR_SHORTENTIPLV1 = 10083,
	FR_SHORTENTIPLV2 = 10084,

	FR_ORITOTRUNK = 10085,
	FR_ORITOSEG = 10086,
	FR_GROWOVERLAP = 10087,
	FR_BRSPREAD = 10088,
	FR_BRSPREADSPRING = 10089,
	FR_BRSPREADDAMPING = 10090,
	FR_TRUNKWINDMULT = 10091,
	FR_BRBENDLV0 = 10092,
	FR_BRBENDLV1 = 10093,
	FR_BRBENDLV2 = 10094,

	FR_CACHESIM = 10095,

	FR_PERIODICWIND = 10096,
	FR_TURBWIND = 10097,
	FR_WINDTURBSCALE = 10098,
	FR_RENDERLEVELS = 10099,
	FR_USERENDERLEVELS = 10100,

	RENDERPARAMETERS = 10101,
	FR_CONTRACTRADIUS = 10102,


	FR_brINSCNTLV3 = 10103,
	FR_brPRUNELV3 = 10104,
	FR_brTAPERLV3 = 10105,
	FR_SWIVELLV3 = 10106,
	FR_brRADIUSLV3 = 10107,
	FR_brTURBLV3 = 10108,
	FR_brTURBSCALELV3 = 10109,
	FR_brPOINTTOTIPLV3 = 10110,
	FR_SHORTENLV3 = 10111,
	FR_SHORTENTIPLV3 = 10112,
	FR_SPINLV3 = 10113,
	FR_BRBENDLV3 = 10114,
	FR_brANGLELV3 =	10115,
	FR_RANDANGL3 = 10116,			
	FR_brLENGTHLV3 = 10117,
	FR_brRANDLENGLV3 = 10118,
	FR_GRAVLV3 = 10119,
	FR_RANDGRAVLV3 = 10120,
	
	FR_brINSCNTLV4 = 10121,
	FR_brPRUNELV4 = 10122,
	FR_brTAPERLV4 = 10123,
	FR_SWIVELLV4 = 10124,
	FR_brRADIUSLV4 = 10125,
	FR_brTURBLV4 = 10126,
	FR_brTURBSCALELV4 = 10127,
	FR_brPOINTTOTIPLV4 = 10128,
	FR_SHORTENLV4 = 10129,
	FR_SHORTENTIPLV4 = 10130,
	FR_SPINLV4 = 10131,
	FR_BRBENDLV4 = 10132,
	FR_brANGLELV4 =	10133,
	FR_RANDANGL4 = 10134,			
	FR_brLENGTHLV4 = 10135,
	FR_brRANDLENGLV4 = 10136,
	FR_GRAVLV4 = 10137,
	FR_RANDGRAVLV4 = 10138,

	FR_brINSCNTLV5 = 10139,
	FR_brPRUNELV5 = 10140,
	FR_brTAPERLV5 = 10141,
	FR_SWIVELLV5 = 10142,
	FR_brRADIUSLV5 = 10143,
	FR_brTURBLV5 = 10144,
	FR_brTURBSCALELV5 = 10145,
	FR_brPOINTTOTIPLV5 = 10146,
	FR_SHORTENLV5 = 10147,
	FR_SHORTENTIPLV5 = 10148,
	FR_SPINLV5 = 10149,
	FR_BRBENDLV5 = 10150,
	FR_brANGLELV5 =	10151,
	FR_RANDANGL5 = 10152,			
	FR_brLENGTHLV5 = 10153,
	FR_brRANDLENGLV5 = 10154,
	FR_GRAVLV5 = 10155,
	FR_RANDGRAVLV5 = 10156,	
	
	FR_brINSCNTLV6 = 10157,
	FR_brPRUNELV6 = 10158,
	FR_brTAPERLV6 = 10159,
	FR_SWIVELLV6 = 10160,
	FR_brRADIUSLV6 = 10161,
	FR_brTURBLV6 = 10162,
	FR_brTURBSCALELV6 = 10163,
	FR_brPOINTTOTIPLV6 = 10164,
	FR_SHORTENLV6 = 10165,
	FR_SHORTENTIPLV6 = 10166,
	FR_SPINLV6 = 10167,
	FR_BRBENDLV6 = 10168,
	FR_brANGLELV6 =	10169,
	FR_RANDANGL6 = 10170,			
	FR_brLENGTHLV6 = 10171,
	FR_brRANDLENGLV6 = 10172,
	FR_GRAVLV6 = 10173,
	FR_RANDGRAVLV6 = 10174,		

	FR_brINSCNTLV7 = 10175,
	FR_brPRUNELV7 = 10176,
	FR_brTAPERLV7 = 10177,
	FR_SWIVELLV7 = 10178,
	FR_brRADIUSLV7 = 10179,
	FR_brTURBLV7 = 10180,
	FR_brTURBSCALELV7 = 10181,
	FR_brPOINTTOTIPLV7 = 10182,
	FR_SHORTENLV7 = 10183,
	FR_SHORTENTIPLV7 = 10184,
	FR_SPINLV7 = 10185,
	FR_BRBENDLV7 = 10186,
	FR_brANGLELV7 =	10187,
	FR_RANDANGL7 = 10188,			
	FR_brLENGTHLV7 = 10189,
	FR_brRANDLENGLV7 = 10190,
	FR_GRAVLV7 = 10191,
	FR_RANDGRAVLV7 = 10192,	
	
	BRLV3 = 10193,
	BRLV4 = 10194,
	BRLV5 = 10195,
	BRLV6 = 10196,
	BRLV7 = 10197,
	
	FR_FLATTENTREE = 10198,
	FR_GLOBALTURBULENCE = 10199,
	FR_GRAVTOWARDSROOTLV0 = 10200,
	FR_GRAVTOWARDSROOTLV1 = 10201,
	FR_GRAVTOWARDSROOTLV2 = 10202,
	FR_GRAVTOWARDSROOTLV3 = 10203,
	FR_GRAVTOWARDSROOTLV4 = 10204,
	FR_GRAVTOWARDSROOTLV5 = 10205,
	FR_GRAVTOWARDSROOTLV6 = 10206,
		
	FR_REDUCERADIUSBYLEVEL = 10207,
	FR_AUGMENTWINDBYLEVEL = 10208,
	FR_PREVIEWMODE = 10209,
	FR_COLOR = 10210,
	
	FR_trWAVES_X = 10211,
	FR_trWAVESCW = 10212,
	FR_trWAVESSCALE = 10213,

	FR_brWAVESX_LV0 = 10214,
	FR_brWAVESSCALELV0 = 10215,
	FR_brWAVESX_LV1 = 10216,
	FR_brWAVESSCALELV1 = 10217,
	FR_brWAVESX_LV2 = 10218,
	FR_brWAVESSCALELV2 = 10219,
	FR_brWAVESX_LV3 = 10220,
	FR_brWAVESSCALELV3 = 10221,
	FR_brWAVESX_LV4 = 10222,
	FR_brWAVESSCALELV4 = 10223,
	FR_brWAVESX_LV5 = 10224,
	FR_brWAVESSCALELV5 = 10225,
	FR_brWAVESX_LV6 = 10226,
	FR_brWAVESSCALELV6 = 10227,

	SPLINE_CONTROL = 10228,
	FR_LEVELRADIUSPROFILE = 10229,
	FR_USELVLRADPRFL = 10230,
	
	FR_trUTILING = 10231,
	FR_trVTILING = 10232,
	FR_brUTILING = 10233,
	FR_brVTILING = 10234,

	FR_LEAVESGRP = 10235,
	FR_lfWIDTH = 10236,
	FR_lfLENGTH = 10237,
	FR_lfHALFSIDES = 10238,
	FR_lfSEGS = 10239,
	FR_LEAFPROFILE = 10240,
	FR_lfBEND = 10241,
	FR_lfFOLD = 10242,
	FR_lfWAVY = 10243,
	FR_lfWAVEFREQ = 10244,
	FR_lfPROFILEMULT = 10245,
	FR_lfFOLDFREQ = 10246,
	FR_lfREDUCEWINDFLIP = 10247,
	FR_lfSTARTLEVEL	= 10248,	
	FR_lfSIZE = 10249,
	FR_lfSWIVELONBRANCH = 10250,
	FR_lfPOINTTOBRANCHTIP = 10251,
	FR_lfSPREADONBRANCH = 10252,
	FR_lfSYMSPREAD	= 10253,

	FR_SWAPtrUV = 10254,
	FR_SWAPbrUV = 10255,
	FR_SWAPlfUV = 10256,
	FR_FLIPtrU = 10257,
	FR_FLIPbrU = 10258,
	FR_FLIPlfU = 10259,
	FR_UV = 10260,
	FR_FLIPtrV = 10261,
	FR_FLIPbrV = 10262,
	FR_FLIPlfV = 10263,
	FR_lfTILT = 10264,
	FR_lfRANDTILT = 10265,

	FR_TREESIZE = 10266,
	FR_lfSHRINKATBRANCHTIP =10267,
	FR_lfWINDSPEED = 10268,
	FR_lfWINDSTRENGTHX = 10269,
	FR_lfRANDSIZE = 10270,
	FR_ADJUSTMESHING = 10271,
	FR_LEAVESON = 10272,
	FR_POPLEAVES = 10273,
	FR_lfPRUNE = 10274,
	FR_lfWINDVARIANCE = 10275,

	FR_brSTRAIGHTENTOPS = 10276,
	FR_brTIPOFFSET = 10277,
	FR_brTRUNKTIPOFFSET = 10278,
	FR_brPOINTTOTIPBIAS = 10279,
	FR_lfSPINLOCAL = 10280,
	FR_lfSPINGLOBAL = 10281,
	FR_lfRANDRANGE = 10282,

	FR_CURRENTFRAME = 10283,

	FR_TRUNKPROFILE = 10284,
	FR_lfINCRSPIN = 10285,
	FR_brDIRECTIONALGRAVITY = 10286,
	FR_GLOBALTURBSCALE = 10287,

	FR_NOISESELECTOR = 10288,
	FR_NOISE_HAMA = 10289,
	FR_NOISE_NAKI = 10290,
	FR_NOISE_NOISE = 10291,
	FR_NOISE_NUTOUS = 10292,
	FR_NOISE_POXO = 10293,
	FR_NOISE_STUPL = 10294,
	FR_NOISE_TURBULENCE = 10295,
	FR_NOISE_VLNOISE = 10296,
	FR_NOISE_WAVYTURB = 10297,
	FR_NOISE_SPARSECONV = 10298,
	FR_NOISE_VORONOI1 = 10299,
	FR_NOISE_VORONOI2 = 10300,
	FR_NOISE_VORONOI3 = 10301,
	FR_NOISE_FIRE = 10302,
	FR_NOISE_ELECTRIC = 10303,
	FR_NOISE_GASEOUS = 10304,
	FR_NOISE_NONE = 10305,

	FR_USETRUNKCUSTOMSPLINE = 10306,
	FR_TRUNKSPLINELINK = 10307,

	FR_USETRUNKCSSPLINE = 10308,
	FR_TRUNKCSLINK = 10309,

	FR_WINDLOOPDURATION = 10310,
	FR_WINDSCALE = 10311,
	FR_LOOPINGWIND = 10312,
	FR_lfWINDSTRENGTHZ = 10313,
	FR_RANDOMIZEWINDSTRENGTH = 10314,
	FR_WINDNOISESELECTOR = 10315,
	FR_WINDCOMPLEXITY = 10316,
	FR_trBEND = 10317,
	FR_trBENDDIRECTION = 10318,
	FR_trBENDPOWER = 10319,
	FR_trTWISTCS = 10320,

	FR_brBENDDIRECTION_LV0 = 10321,
	FR_brBENDDIRECTION_LV1 = 10322,
	FR_brBENDDIRECTION_LV2 = 10323,
	FR_brBENDDIRECTION_LV3 = 10324,
	FR_brBENDDIRECTION_LV4 = 10325,
	FR_brBENDDIRECTION_LV5 = 10326,
	FR_brBENDDIRECTION_LV6 = 10327,
	FR_brBENDPOWER_LV0 = 10328,
	FR_brBENDPOWER_LV1 = 10329,
	FR_brBENDPOWER_LV2 = 10330,
	FR_brBENDPOWER_LV3 = 10331,
	FR_brBENDPOWER_LV4 = 10332,
	FR_brBENDPOWER_LV5 = 10333,
	FR_brBENDPOWER_LV6 = 10334,

	FR_brINSBIAS_TR = 10335,
	FR_brINSBIAS_LV0 = 10336,
	FR_brINSBIAS_LV1 = 10337,
	FR_brINSBIAS_LV2 = 10338,
	FR_brINSBIAS_LV3 = 10339,
	FR_brINSBIAS_LV4 = 10340,
	FR_brINSBIAS_LV5 = 10341,

	FR_brPOINTTOTIPBIAS_LV0 = 10342,
	FR_brPOINTTOTIPBIAS_LV1 = 10343,
	FR_brPOINTTOTIPBIAS_LV2 = 10344,
	FR_brPOINTTOTIPBIAS_LV3 = 10345,
	FR_brPOINTTOTIPBIAS_LV4 = 10346,
	FR_brPOINTTOTIPBIAS_LV5 = 10347,
	FR_brPOINTTOTIPBIAS_LV6 = 10348,

	FR_brRANDOMIZERANGE_LV0 = 10349,
	FR_brRANDOMIZERANGE_LV1 = 10350,
	FR_brRANDOMIZERANGE_LV2 = 10351,
	FR_brRANDOMIZERANGE_LV3 = 10352,
	FR_brRANDOMIZERANGE_LV4 = 10353,
	FR_brRANDOMIZERANGE_LV5 = 10354,
	FR_brRANDOMIZERANGE_LV6 = 10355,

	FR_brREDUCERADIUSONBRANCH_LV0 = 10356,
	FR_brREDUCERADIUSONBRANCH_LV1 = 10357,
	FR_brREDUCERADIUSONBRANCH_LV2 = 10358,
	FR_brREDUCERADIUSONBRANCH_LV3 = 10359,
	FR_brREDUCERADIUSONBRANCH_LV4 = 10360,
	FR_brREDUCERADIUSONBRANCH_LV5 = 10361,
	FR_brREDUCERADIUSONBRANCH_LV6 = 10362,

	FR_lfLEAFMULTIPLIER = 10363,
	FR_lfPOP = 10364,
	FR_WINDBRANCH_X = 10365,
	FR_WINDBRANCH_Z = 10366,
	FR_lfFLIPRATIO = 10367,
	FR_brOFFSETFROMTIP_LV0 = 10368,
	FR_brOFFSETFROMTIP_LV1 = 10369,
	FR_brOFFSETFROMTIP_LV2 = 10370,
	FR_brOFFSETFROMTIP_LV3 = 10371,
	FR_brOFFSETFROMTIP_LV4 = 10372,
	FR_brOFFSETFROMTIP_LV5 = 10373,

	FR_trEXPANDINGGROWTH = 10374,
	FR_lfHORIZONTALIZE = 10375,

	FR_brGRAVITYRATIO_LV0 = 10376,
	FR_brGRAVITYRATIO_LV1 = 10377,
	FR_brGRAVITYRATIO_LV2 = 10378,
	FR_brGRAVITYRATIO_LV3 = 10379,
	FR_brGRAVITYRATIO_LV4 = 10380,
	FR_brGRAVITYRATIO_LV5 = 10381,
	FR_brGRAVITYRATIO_LV6 = 10382,
	FR_brREDUCEWINDFLIP = 10383,

	FR_RANDOMLEAFPOPPING = 10384,
	FR_TRUNKCAPS = 10385,
	FR_trCAPUVSCALE_BOTTOM = 10386,
	FR_trCAPUVSCALE_TOP = 10387,

	FR_lfSHUFFLEITERATIONS = 10388,
	FR_HIGHLIGHTLASTLEVEL = 10389,
	FR_trDEFORMCS_MULT = 10390,
	FR_trDEFORMCS_SCALE = 10391,

	FR_brORIENTTOROOT_LV0 = 10392,
	FR_brORIENTTOROOT_LV1 = 10393,
	FR_brORIENTTOROOT_LV2 = 10394,
	FR_brORIENTTOROOT_LV3 = 10395,
	FR_brORIENTTOROOT_LV4 = 10396,
	FR_brORIENTTOROOT_LV5 = 10397,
	FR_brORIENTTOROOT_LV6 = 10398,

	FR_lfVISIBLEINPREVIEW = 10399,

	FR_brWAVESZ_LV0 = 10400,
	FR_brWAVESZ_LV1 = 10401,
	FR_brWAVESZ_LV2 = 10402,
	FR_brWAVESZ_LV3 = 10403,
	FR_brWAVESZ_LV4 = 10404,
	FR_brWAVESZ_LV5 = 10405,
	FR_brWAVESZ_LV6 = 10406,

	FR_trWAVES_Z = 10407,
	FR_GLOBALWINDMULT = 10408,
	FR_SIMULATE_BRANCHSPREAD = 10409,
	FR_lfSHUFFLEMATERIALS = 10410,

	FR_brSTRAIGHTENTOPS_LV0 = 10411,
	FR_brSTRAIGHTENTOPS_LV1 = 10412,
	FR_brSTRAIGHTENTOPS_LV2 = 10413,
	FR_brSTRAIGHTENTOPS_LV3 = 10414,
	FR_brSTRAIGHTENTOPS_LV4 = 10415,
	FR_brSTRAIGHTENTOPS_LV5 = 10416,
	FR_brSTRAIGHTENTOPS_LV6 = 10417,

	FR_brSTRAIGHTENTIPS_LV0 = 10418,
	FR_brSTRAIGHTENTIPS_LV1 = 10419,
	FR_brSTRAIGHTENTIPS_LV2 = 10420,
	FR_brSTRAIGHTENTIPS_LV3 = 10421,
	FR_brSTRAIGHTENTIPS_LV4 = 10422,
	FR_brSTRAIGHTENTIPS_LV5 = 10423,
	FR_brSTRAIGHTENTIPS_LV6 = 10424,

	FR_brSPREAD_EFFECTIVE = 10425,
	FR_ERASECACHE = 10426,

	SIMULATE_GRP = 10427,
	FR_USECACHEDSIM = 10428,
	
	FR_brFLATTEN_LV0 = 10429,
	FR_brFLATTEN_LV1 = 10430,
	FR_brFLATTEN_LV2 = 10431,
	FR_brFLATTEN_LV3 = 10432,
	FR_brFLATTEN_LV4 = 10433,
	FR_brFLATTEN_LV5 = 10434,
	FR_brFLATTEN_LV6 = 10435,

	FR_GENERATEBRANCHES = 10436,

	FR_trDISPLACE_MULT = 10437,
	FR_trDISPLACE_SCALE = 10438,
	FR_trDISPLACE_STRETCH = 10439,
	FR_trDISPLACE_RISE = 10440,
	FR_trSTRAIGHTTOP = 10441,
	FR_trSTRAIGHTTOP_BIAS = 10442, 
	FR_lfGLOBALPRUNE = 10443,
	FR_lfREVERSEGLOBALPRUNE = 10444,

	FR_GLOBALS = 10445,
	FR_GLOBAL_RADIUS = 10446,
	FR_GLOBAL_BRLENGTH = 10447,
	FR_GLOBAL_PRUNE = 10448,
	FR_GLOBAL_ANGLE = 10449,
	FR_GLOBAL_BRFLATTEN = 10450,
	FR_GLOBAL_ORITOSEG = 10451,
	FR_GLOBAL_BRTAPER = 10452,
	FR_trCSRISE = 10453,

	FR_INHERITRADIUS_LV1 = 10454,
	FR_INHERITRADIUS_LV2 = 10455,
	FR_INHERITRADIUS_LV3 = 10456,
	FR_INHERITRADIUS_LV4 = 10457,
	FR_INHERITRADIUS_LV5 = 10458,
	FR_INHERITRADIUS_LV6 = 10459,
	FR_trREVERSECSSPLINE = 10460,

	FR_trRENDERSUBD = 10461,
	FR_brRENDERSUBD = 10462,

	ATTACH_GROUP = 10463,
	TRUNK_ATTACHMENTS = 10464,
	FR_trPROTRUSIONS_ON = 10465,
	FR_trPROTRUSIONS_TYPE = 10466,
	FR_trPROTRUSION_CUBE = 10467,
	FR_trPROTRUSION_SPHERE = 10468,
	FR_trPROTRUSION_CONE = 10469,
	FR_trPROTRUSION_OILTANK = 10470,
	FR_trPROTRUSION_USELINK = 10471,
	FR_trPROTRUSIONLINK = 10472,
	FR_trPROTRUSION_SIZE = 10473,
	FR_trPROTRUSION_SCALETOPROFILE = 10474,
	FR_trPROTRUSION_RANDOMIZESIZE = 10475,
	FR_trPROTRUSION_OFFSET = 10476,
	FR_trPROTRUSION_THRESHOLD = 10477,
	FR_trPROTRUSIONS_START = 10478,
	FR_trPROTRUSIONS_END = 10479,
	FR_trPROTRUSION_RANDROT = 10480,
	FR_trPROTRUSION_ROTATION = 10481,

	FR_lfKEEPEVERYNTH = 10482,

	ROOT_ATTACH = 10483,
	FR_rtATTACHON = 10484,
	FR_rtLINK = 10485,
	FR_rtSIZE = 10486,
	FR_rtRANDOMIZESIZE = 10487,
	FR_rtOFFSET = 10488,
	FR_rtROTATION = 10489,
	FR_rtRANDROT = 10490,

	FR_ATTACHMENT_SEED = 10491,

	FR_trATTACH_TOBASE_GRP = 10492,
	FR_trATTACH_TOBASE_ON = 10493,
	FR_trATB_SEGOFFSET = 10494,
	FR_trATB_ROTATION = 10495,
	FR_trATB_SIZE = 10496,
	FR_trATB_LINK = 10497,

	FR_trATTACH_TOTOP_GRP = 10498,
	FR_trATTACH_TOTOP_ON = 10499,
	FR_trATT_SEGOFFSET = 10500,
	FR_trATT_ROTATION = 10501,
	FR_trATT_SIZE = 10502,
	FR_trATT_LINK = 10503,	

	FR_trPROTRUSION_SCALEY = 10504,

	FR_FRUITGROUP = 10505,
	FR_FRUITS_ON = 10506,
	FR_FRUITCOUNT = 10507,
	FR_FRUITSIZE = 10508,
	FR_FRUIT_VERTICALIZE = 10509,
	FR_FRUIT_LINK = 10510,
	FR_FRUIT_RANDOMIZESIZE = 10511,
	FR_FRUIT_ROTATION = 10512,
	FR_FRUIT_RANDROT = 10513,	
	FR_FRUIT_TYPE = 10514,
	FR_FRUIT_CUBE = 10515,
	FR_FRUIT_SPHERE = 10516,
	FR_FRUIT_USELINK = 10517,
	FR_FRUIT_OFFSET = 10518,
	FR_FRUIT_SEED = 10519,
	FR_FRUIT_GROW = 10520,

	FR_rtGROW = 10521,
	FR_trPROTRUSION_GROW = 10522,

	FR_wdSIN_SPEED = 10523,
	FR_wdSIN_STRENGTH = 10524,
	FR_wdGROW = 10525,
	FR_wdDEF_STRENGTH = 10526,
	FR_wdDEF_DIRECTION = 10527,
	FR_wdDEF_STIFFNESS = 10528,
	FR_wdDEF_WAVESFREQUENCY = 10529,
	FR_wdDEF_GLOBALSTRENGTH = 10530,
	FR_wdGROW_RANDOMIZE = 10531,
	FR_wdGROW_REVERSE = 10532,
	FR_wdSTARTLEVEL = 10533,

	FR_wdDIRECTIONALWIND_STRENGTH = 10535,
	FR_wdORIENTLEAVES = 10536,

	FR_brGLOBALGRAVITY = 10537,
	FR_brGLOBALGRAVITY_RATIO = 10538,
	FR_lfGROWTH = 10540,
	FR_wdSIN_BIAS = 10541,
	FR_brOFFSETFROMTRUNK = 10542,

	FR_brRANDSWIVEL_LVL0 = 10543,
	FR_brRANDSWIVEL_LVL1 = 10544,
	FR_brRANDSWIVEL_LVL2 = 10545,
	FR_brRANDSWIVEL_LVL3 = 10546,
	FR_brRANDSWIVEL_LVL4 = 10547,
	FR_brRANDSWIVEL_LVL5 = 10548,
	FR_brRANDSWIVEL_LVL6 = 10549,

	FR_brGRAVITY_STIFFNESS = 10550,
	FR_trWINDSTIFFNESS = 10551,
	FR_brRANDSWIVEL_GLOBAL = 10552,

	FR_brWAVESX_GLOBAL = 10553,
	FR_brWAVESZ_GLOBAL = 10554,
	FR_brWAVESSCALE_GLOBAL = 10555,
	FR_trFADEWAVES = 10556,
	FR_lfRANDSPREAD = 10557,
	FR_lfORIENTTOBRANCH = 10558,
	FR_lfWINDFREQAFFECTEDBY_WINDSPEED = 10559,
	FR_lfNOISEWIND_STRENGTHX = 10560,
	FR_lfNOISEWIND_STRENGTHZ = 10561,

	GRP_LOOPING_WIND = 10562,
	GRP_DIRECTIONAL_WIND = 10563,
	GRP_WIND_GLOBAL = 10564,

	GRP_BR_INSERTION_LV0 = 10565,
	GRP_BR_INSERTION_LV1 = 10566,
	GRP_BR_INSERTION_LV2 = 10567,
	GRP_BR_INSERTION_LV3 = 10568,
	GRP_BR_INSERTION_LV4 = 10569,
	GRP_BR_INSERTION_LV5 = 10570,
	GRP_BR_INSERTION_LV6 = 10571,

	GRP_BR_MODIFIERS_LV0 = 10572,
	GRP_BR_MODIFIERS_LV1 = 10573,
	GRP_BR_MODIFIERS_LV2 = 10574,
	GRP_BR_MODIFIERS_LV3 = 10575,
	GRP_BR_MODIFIERS_LV4 = 10576,
	GRP_BR_MODIFIERS_LV5 = 10577,
	GRP_BR_MODIFIERS_LV6 = 10578,

	GRP_BR_ORIENTATION_LV0 = 10579,
	GRP_BR_ORIENTATION_LV1 = 10580,
	GRP_BR_ORIENTATION_LV2 = 10581,
	GRP_BR_ORIENTATION_LV3 = 10582,
	GRP_BR_ORIENTATION_LV4 = 10583,
	GRP_BR_ORIENTATION_LV5 = 10584,
	GRP_BR_ORIENTATION_LV6 = 10585,

	GRP_BR_DEFORM_LV0 = 10586,
	GRP_BR_DEFORM_LV1 = 10587,
	GRP_BR_DEFORM_LV2 = 10588,
	GRP_BR_DEFORM_LV3 = 10589,
	GRP_BR_DEFORM_LV4 = 10590,
	GRP_BR_DEFORM_LV5 = 10591,
	GRP_BR_DEFORM_LV6 = 10592,	

	GRP_BRRADIUSPROFILE = 10593,
	GRP_BRGLOBALPARAMETERS = 10594,

	GRP_TR_PARAMETERS = 10595,
	GRP_TR_DISPLACEMENT = 10596,
	GRP_TR_MODIFY = 10597,
	GRP_TR_DEFORM = 10598,
	GRP_TR_CROSSSECTION = 10599,
	GRP_TR_CUSTOMSPLINE = 10600,
	GRP_TR_PROFILE = 10601,

	GRP_LEAF_DISTRIBUTION = 10602,
	GRP_LEAF_SIZE = 10603,
	GRP_LEAF_MODIFY = 10604,
	GRP_LEAF_PROFILE = 10605,
	GRP_LEAF_ORIENTATION = 10606,

	GRP_TRUNK_UVS = 10607,
	GRP_BRANCH_UVS = 10608,
	GRP_LEAF_UVS = 10609,
	GRP_CAP_UVS = 10610,
	
	GRP_TREE_PREVIEW = 10611,
	GRP_TREE_LEVELS = 10612,
	GRP_TREE_PARAMETERS = 10613,
	GRP_TREE_NOISE = 10614,

	GRP_SIMULATION_CACHE = 10615,
	GRP_SPREAD_SIMULATION = 10616,

	GRP_GLOBAL_MODIFY = 10617,
	GRP_GLOBAL_ORIENTATION = 10618,
	GRP_GLOBAL_TURBULENCE = 10619,

	GRP_FRUIT_PARAMETERS = 10620,
	GRP_FRUIT_SIZE = 10621,
	GRP_FRUIT_ORIENTATION = 10622,
	GRP_FRUIT_TYPE = 10623,

	GRP_LEAF_SIZEALONGBRANCH = 10624,
	FR_lfSIZEALONGBRANCH_PROFILE = 10625,

	FR_FORESTERTITLE_BITMAP = 10626,

	FR_trROOTFLARES_COUNT = 10627,
	FR_trROOTFLARES_STRENGTH = 10628,
	FR_trROOTFLARES_BIAS = 10629,

	FR_trCUSTOMSPLINE_ADJUSTHEIGHT = 10630,
	FR_lfMATERIAL_COUNT = 10631,

	FR_NORMALIZE_TRUNK_SPLINE = 10633,
	FR_NORMALIZE_TrSp_ITERATIONS = 10634,
	FR_NORMALIZE_TRUNK_CSSPLINE = 10635,
	FR_NORMALIZE_TrCsSp_ITERATIONS = 10636,

	FR_ROOT_ROWSCOUNT = 10637,

	FR_trPROTRUSION_LIST = 10638,
	FR_trROOT_LIST = 10639,
	FR_FRUIT_LIST = 10640,
	FR_ROOT_COUNT = 10641,

	FR_trHEIGHT_VARIANCE = 10642,
	FR_trDEFORM_BIAS = 10643,

	FR_TREE_LIBRARY1_GRP = 10644,
	FR_ACACIA_BTN = 10645,

	FR_brTAPERBIAS = 10646,

	FR_WINDLEVELRATIO = 10647,

	FR_brWAVESOFFSET_LV0  = 10648,
	FR_brWAVESOFFSET_LV1  = 10649,
	FR_brWAVESOFFSET_LV2  = 10650,
	FR_brWAVESOFFSET_LV3  = 10651,
	FR_brWAVESOFFSET_LV4  = 10652,
	FR_brWAVESOFFSET_LV5  = 10653,
	FR_brWAVESOFFSET_LV6  = 10654,


	FR_lfRESIZETOPLEAVES = 10656,
	FR_brTILT_LV0 = 10657,
	FR_brTILT_LV1 = 10658,
	FR_brTILT_LV2 = 10659,
	FR_brTILT_LV3 = 10660,
	FR_brTILT_LV4 = 10661,
	FR_brTILT_LV5 = 10662,
	FR_brTILT_LV6 = 10663,

	FR_brRESIZE_TOPBRANCH = 10664,
	FR_brTILT_RATIO = 10665,

	FR_SNOW_GRP = 10667,
	FR_GENERATE_SNOW = 10668,
	FR_snRISE = 10669,
	FR_snSTARTLEVEL = 10670,
	FR_snEVERY_NTH_BRANCH = 10671,

	FR_GLOBAL_brINSERTION = 10673,
	FR_GLOBAL_brINS_AFFECTLV0 = 10674,

	FR_WINDSPEED_CACHED = 10675,

	FR_lfTURBULENCE = 10676,



	FR_brHORIZONTAL_LV1 = 10678,
	FR_brHORIZONTAL_LV2 = 10679,
	FR_brHORIZONTAL_LV3 = 10680,
	FR_brHORIZONTAL_LV4 = 10681,
	FR_brHORIZONTAL_LV5 = 10682,
	FR_brHORIZONTAL_LV6 = 10683,



	FR_DEFAULTTREE_BTN = 10684,
	FR_abiesfraseri_BTN = 10685,
	FR_acer_BTN = 10686,
	FR_adansonia_BTN = 10687,
	FR_albizia_BTN = 10688,
	FR_apple_BTN = 10689,
	FR_aralia_BTN = 10690,
	FR_aspen_BTN = 10691,
	FR_bamboo_BTN = 10692,
	FR_barberry_BTN = 10693,
	FR_beachpalm_BTN = 10694,
	FR_beech_BTN = 10695,
	FR_birch_BTN = 10696,
	FR_bluespruce_BTN = 10697,
	FR_carolinapoplar_BTN = 10698,
	FR_ceiba_BTN = 10699,
	FR_coconutpalm_BTN = 10700,
	FR_corktree_BTN = 10701,
	FR_cornus_BTN = 10702,
	FR_cupressaceae_BTN = 10703,
	FR_curlypalm_BTN = 10704,
	FR_cypressoak_BTN = 10705,
	FR_datepalm_BTN = 10706,
	FR_delonix_BTN = 10707,
	FR_heartwood_BTN = 10708,
	FR_japanesepine_BTN = 10709,
	FR_juniper_BTN = 10710,
	FR_kaizuka_BTN = 10711,
	FR_lagerstroemia_BTN = 10712,
	FR_lebcedar_BTN = 10713,
	FR_lemontree_BTN = 10714,
	FR_liveoak_BTN = 10715,
	FR_mangrove_BTN = 10716,
	FR_maple_BTN = 10717,
	FR_morton_BTN = 10718,
	FR_mountainmaple_BTN = 10719,
	FR_oak_BTN = 10720,
	FR_oleaceae_BTN = 10721,
	FR_olive_BTN = 10722,
	FR_orange_BTN = 10723,
	FR_palmetto_BTN = 10724,
	FR_peach_BTN = 10725,
	FR_pertusa_BTN = 10726,
	FR_piceaabies_BTN = 10727,
	FR_pinetree_BTN = 10728,
	FR_pinuslonga_BTN = 10729,
	FR_pinusstrobus_BTN = 10730,
	FR_pinustaeda_BTN = 10731,
	FR_platanus_BTN = 10732,
	FR_plumeria_BTN = 10733,
	FR_ponytailpalm_BTN = 10734,
	FR_populusnigra_BTN = 10735,
	FR_prosopis_BTN = 10736,
	FR_prunus_BTN = 10737,
	FR_pseudocamellia_BTN = 10738,
	FR_pyrus_BTN = 10739,
	FR_queenpalm_BTN = 10740,
	FR_rainbow_BTN = 10741,
	FR_redmaple_BTN = 10742,
	FR_redoak_BTN = 10743,
	FR_rosegum_BTN = 10744,
	FR_senegalia_BTN = 10745,
	FR_sycamore_BTN = 10746,
	FR_taxodium_BTN = 10747,
	FR_thorntree_BTN = 10748,
	FR_tilia_BTN = 10749,
	FR_tupelo_BTN = 10750,
	FR_tuscancypress_BTN = 10751,
	FR_ulmaceae_BTN = 10752,
	FR_whitebirch_BTN = 10753,
	FR_willow_BTN = 10754,
	FR_yellowcypress_BTN = 10755,
	FR_eucalyptus_BTN = 10756,

	FR_RANDOMIZESEED = 10757,
	FR_CHANGEMATERIALS = 10758,
	FR_CHANGEUVS = 10759,

	FR_FRUITOFFSET_VERTICAL = 10760,
	FR_REMOVEMATERIALS = 10761,	

	FR_LEAFGROWTH_OVERLAP = 10762,

	FR_MATERIAL_SELECTION_GRP = 10763,	
	FR_ST_TRUNKMATERIAL	= 10764,		
	FR_ST_BRANCHMATERIAL = 10765,		
	FR_ST_LEAFMATERIAL1	= 107636,		
	FR_ST_LEAFMATERIAL2	= 10767,		
	FR_ST_LEAFMATERIAL3	= 10768,
	FR_ST_TRUNKCAPMATERIAL = 10769,

	FR_RENDERTIMEWIND = 10770,
	FR_WINDGLOBALPHASE = 10771,
	FR_CACHEGENERATEBRANCHES = 10772,
	FR_KEEPLINESVISIBLE = 10773,

	FR_SNOWBRANCHPRUNE = 10774,
	FR_REDUCEBRANCH_WINDFLIP = 10775,
	FR_RANDOMIZE = 10776,

	FR_WINDMODEL = 10777,

	FR_POLYGONIZE_FRUIT = 10778,

	FR_TRUNK_DISPLACE_CLAMP_LOW		= 11010,
	FR_TRUNK_DISPLACE_CLAMP_HIGH	= 11012,
	FR_TRUNK_DISPLACE_DIRECTION		= 11014,
	FR_TRUNK_RINGS_ON				= 11020,
	FR_TRUNK_RINGS_FREQUENCY		= 11022,
	FR_TRUNK_RINGS_STRENGTH			= 11024,


	FR_RENDER_STATE = 17000,

	FR_TREE_SIZE_HIDDEN	= 19000,
	FR_TREE_TYPE_ID		= 19001,	

	FR_EXPORT_TREE_AS_SINGLE_MESH = 19010,

	FR_FRUIT_AT_BRANCH_TIPS			= 19020,
	
};	

#endif
